Skip to main content
GET
Get basic VM

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234_abcdef

Path Parameters

project_id
integer
required

Project ID.

Example:

1

basic_vm_id
string<uuid4>
required

Basic VM ID.

Example:

"6c6aa80f-4234-4678-9abc-def012345678"

Response

Basic VM

created_at
string<date-time>
required

Date and time when the basic VM was created.

flavor_name
string
required

Flavor name.

id
string<uuid4>
required

Basic VM ID.

interfaces
GlobalInstanceInterfaceSerializer · object[]
required

Network interfaces of the basic VM. Each interface is a port.

name
string
required

Basic VM name.

region_id
integer
required

Region ID.

ssh_key_id
string<uuid4> | null
required

ID of the SSH key of the default user, or null.

status
enum<string>
required

Status of the basic VM.

Available options:
active,
deleted,
deleting,
error,
provisioning,
rebooting,
rebuilding,
resizing,
stopped,
unknown,
updating
system_tags
System Tags · object
required

Key-value tags that the API sets. You cannot change them.

tags
Tags · object
required

Key-value tags that you set.

updated_at
string<date-time>
required

Date and time of the last update of the basic VM.